Aug 2013

Ny version av Scorch fungerar med Mac OS X

Ny version av Scorch fungerar nu med Mac OS X 10.7 eller nyare.
Här kan du hämta den senaste versionen av Scorch